iodine (0.7.0-11) unstable; urgency=medium

  * debian/control: Suggests: replace dnsutils with bind9-dnsutils.
    Thanks to Chris Hofstaedtler for the bug report. (Closes: #1094948)
  * debian/control: switch from pkg-config to pkgconf,
    drop transitonal lsb-base.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 01 Feb 2025 19:13:46 +0100

iodine (0.7.0-10) unstable; urgency=medium

  * Use /run/iodine instead of /var/run/iodine.
    Thanks to Russell Coker for the bug report. (Closes: #856822)
  * Use uscan version 4.
  * Update years of packaging copyright.
  * Set Rules-Requires-Root: no.
  * Drop unneeded version constraints from (build) dependencies.
  * Wrap long lines in changelog entries: 0.4.0-1.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.
  * Annotate test-only build dependencies with <!nocheck>.
  * Add Pre-Depends: ${misc:Pre-Depends} in debian/control for support of
    new enough init-system-helpers. Thanks to lintian.
  * Install systemd unit with dh_installsystemd in debian/rules instead of
    manually via dh_install.
  * Update long description. Remove ancient reference to nstx.
  * Add patch to disable AI_ADDRCONFIG because of issues in glibc.
    Cf. #952740.
  * Use debhelper-compat 13, and update tmpfile(s) handling.
  * Simplify logcheck file handling.
  * Set upstream metadata fields: Bug-Submit.

 -- gregor herrmann <gregoa@debian.org>  Sat, 26 Sep 2020 18:48:15 +0200

iodine (0.7.0-9) unstable; urgency=medium

  * Add debian/upstream/metadata.
  * Refresh existing patches.
    - 0001-osflags-use-pkg-config-for-systemd-support.patch: add 7b1df75 from
      upstream Git as a preparation for the new cross.patch
    - kfreebsd-hurd.patch: offset as a result of the former
  * Add new patch cross.patch to fix cross compilation.
    Allows one to pass PKG_CONFIG to the build system, which happens in
    debian/rules, in order to bypass the build architecture pkg-config.
    Thanks to Helmut Grohne for the bug report and the initial patch which was
    slightly modified to apply against upstream's Git HEAD. (Closes: #921822)
  * Update years of packaging copyright.
  * Remove trailing whitespace from debian/*.

 -- gregor herrmann <gregoa@debian.org>  Sat, 09 Feb 2019 21:09:13 +0100

iodine (0.7.0-8) unstable; urgency=medium

  * New version of iodine-client-start (1.0.6 + one commit) pulled from
    upstream git repository (bd3b5e5).
    Adds -oneline to ip(1) calls as a workaround for its changed output, and
    drops ifconfig usage.
    Thanks to Axel Beckert for the bug report and Barak A. Pearlmutter for the
    quick fix. (Closes: #898672)
  * Update Vcs-* fields and debian/control and remove respective lintian
    overrides (vcs-field-uses-insecure-uri).
  * Declare compliance with Debian Policy 4.1.2.
    (And nothing newer, as we still use a variable in /etc/default/iodine
    which conflicts with policy 9.3.3.1 since 4.1.3.)
  * Update years of packaging copyright.
  * Use HTTPS for a couple of URLs in debian/*.
  * Change priority from extra to optional in debian/control.
  * Drop versioned build dependency on dpkg-dev.
    Even oldoldstable has a new enough version.

 -- gregor herrmann <gregoa@debian.org>  Tue, 15 May 2018 23:32:00 +0200

iodine (0.7.0-7) unstable; urgency=medium

  * Add dependency on net-tools.
    Thanks to gustavo panizzo for the bug report. (Closes: #851477)
  * Bump debhelper compatibility level to 10.
  * Drop build dependency on "debhelper (>= 9.20160709~) | dh-systemd"
    which is already covered by "debhelper (>= 10)".
  * Drop explicit call to systemd sequence in debian/rules which is now
    the default in debhelper compatibility level 10.
  * Add dependency on lsb-base because the init script uses the lsb
    utility functions. Thanks to lintian.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 15 Jan 2017 14:51:40 +0100

iodine (0.7.0-6) unstable; urgency=medium

  * debian/iodined.service: remove test for START_IODINED variable.
    This causes upgrade failures when it's not set to 'true'.
    Thanks to martin f krafft for the bug report, and both him and Chris
    Knadle for their help in handling this bug. (Closes: #832599)
  * Install the systemd service file in debian/iodine.install.
    Otherwise it's not available in time for dh_systemd_enable.
  * Mask systemd service in postinst if START_IODINED is not set to true.
    This is the replacement for the check in the service file itself.

 -- gregor herrmann <gregoa@debian.org>  Sun, 14 Aug 2016 15:37:23 +0200

iodine (0.7.0-5) unstable; urgency=medium

  * Add systemd service files. Thanks to Lizhou Sha for providing them,
    together with tons of explanations. (Closes: #830074)
  * Update debiann/control and debian/rules for installing the new systemd
    files.
  * Declare compliance with Debian Policy 3.9.8.
  * Add lintian override for vcs-field-uses-insecure-uri.

 -- gregor herrmann <gregoa@debian.org>  Thu, 14 Jul 2016 22:06:35 +0200

iodine (0.7.0-4) unstable; urgency=medium

  * Add Brazilian Portuguese debconf translation.
    Thanks to Adriano Rafael Gomes.
    (Closes: #811516)
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Tue, 19 Jan 2016 17:57:55 +0100

iodine (0.7.0-3) unstable; urgency=medium

  * Update kfreebsd.patch and rename to kfreebsd-hurd.patch.
    Handle hurd-i386 as well.

 -- gregor herrmann <gregoa@debian.org>  Mon, 06 Oct 2014 17:22:44 +0200

iodine (0.7.0-2) unstable; urgency=medium

  * Add patch to fix compilation failure on kfreebsd-*.
    (Closes: #764117)

 -- gregor herrmann <gregoa@debian.org>  Sun, 05 Oct 2014 18:43:33 +0200

iodine (0.7.0-1) unstable; urgency=medium

  * New upstream release.
    Contains fixes for the following bugs:
    - "upstream iodine activity". (Closes: #743385)
    - "should not allow UDP socket to be inherited by ifconfig".
      (Closes: #609751)
    - "Should support ipv6": Client can connect to iodined through an relaying
      IPv6 nameserver. Server only supports IPv4 for now. Traffic inside
      tunnel is IPv4. (Closes: #680953)
  * Add network-manager-iodine and network-manager-iodine-gnome to
    Suggests.
    Thanks to Guido Günther for the proposal. (Closes: #760562)
  * debian/copyright:
    - update years of upstream and packaging copyright
    - add another third party copyright statement
  * Patches:
    - drop most patches, as they are merged or fixed upstream, or where taken
      from there
    - refresh the remaining two: cflags.patch, verbose-build.patch
  * Preliminary systemd support:
    - build-depend on libsystemd-dev package on linux-any
    - add patch 0001-osflags-use-pkg-config-for-systemd-support.patch from
      upstream git to use pkg-config for finding the systemd libs; change
      libsystemd-daemon to libsystemd
  * Split .docs into .docs and .examples.
    The latter contain the upstream examples for SELinux (not activated during
    build) and systemd.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Sun, 05 Oct 2014 15:39:08 +0200

iodine (0.6.0~rc1-20) unstable; urgency=medium

  * Fix regression of /etc/default/iodine handling.
    Affects especially $(...) constructs.
    - debian/config:
      use awk again for getting existing values instead of sourcing the file.
      Cf. #612723
    - debian/postinst:
      update perl substitution command to use single quotes as regexp
      delimiters in order to avoid variable substitution.
    Thanks to "Debian bug at v.nix.is" for the bug report.
    (Closes: #752263)

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Jun 2014 23:45:16 +0200

iodine (0.6.0~rc1-19) unstable; urgency=high

  * Add patch 0001-Fix-authentication-bypass-bug.patch from upstream's
    iodine-0.6.0 branch.

    This fixes a security problem where the client could bypass the password
    check by continuing after getting an error from the server and guessing
    the network parameters and the server would still accept the rest of the
    setup and also network traffic. The patch adds checks for normal and raw
    mode that user has authenticated before allowing any other communication.

    Thanks to Salvatore Bonaccorso for the bug report, and Erik Ekman for
    backporting the fix super fast.
    (Closes: #751834)

    Set urgency=high.

  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Tue, 17 Jun 2014 20:50:54 +0200

iodine (0.6.0~rc1-18) unstable; urgency=low

  * debian/control: use iproute2 in Suggests instead of the transitional
    package iproute.

 -- gregor herrmann <gregoa@debian.org>  Mon, 30 Sep 2013 14:30:03 +0200

iodine (0.6.0~rc1-17) unstable; urgency=low

  * Build-depend on check >= 0.9.10-3 which fixes #712140.
    (Closes: #714267)

 -- gregor herrmann <gregoa@debian.org>  Sat, 06 Jul 2013 17:53:26 +0200

iodine (0.6.0~rc1-16) unstable; urgency=low

  * Re-enable tests after check seems to be fixed (cf. #712140).
  * Add patch to add linker flags to test; build-depend on pkg-config.

 -- gregor herrmann <gregoa@debian.org>  Wed, 26 Jun 2013 21:16:56 +0200

iodine (0.6.0~rc1-15) unstable; urgency=low

  * Temporarily turn off tests. We can add the missing -lm and -lrt but
    then we still run into check's pthread problems (cf. #712140).
    (Closes: #713556)

 -- gregor herrmann <gregoa@debian.org>  Sat, 22 Jun 2013 23:29:48 +0200

iodine (0.6.0~rc1-14) unstable; urgency=low

  * debian/postinst: use perl and fancy regex delimiters instead of sed
    for updating the configuration file.
    The typical `sed -e s///' breaks if IODINED_ARGS contains slashes.
    Thanks to Pierre Ynard for the bug report. (Closes: #708187)

 -- gregor herrmann <gregoa@debian.org>  Tue, 14 May 2013 17:16:31 +0200

iodine (0.6.0~rc1-13) unstable; urgency=low

  * New version of iodine-client-start (1.0.5), pulled from upstream git
    (d50ae59): Use either fping or oping or no ping.
  * Add oping as an alternative to fping in Suggests.
  * Rewrite handling of /etc/default/iodine according to debconf-devel(7)
    in debian/config and debian/postinst.
  * Set Standards-Version to 3.9.4 (no changes).
  * Update years of packaging copyright.
  * New patch verbose-build.patch: unhide compiler flags.

 -- gregor herrmann <gregoa@debian.org>  Thu, 09 May 2013 15:35:58 +0200

iodine (0.6.0~rc1-12) unstable; urgency=low

  [ David Prévot ]
  * debian/po/de.po: Fix charset (Closes: #691959)

 -- gregor herrmann <gregoa@debian.org>  Wed, 31 Oct 2012 20:38:01 +0100

iodine (0.6.0~rc1-11) unstable; urgency=low

  * New version of iodine-client-start (1.0.4), pulled from upstream git
    (db977d3): fixes
    - "iodine-client-start make a point-to-point route for 127.0.0.1"
      (Closes: #673439)
    - "iodine-client-start launch iodine with UDP raw mode socket"
      (Closes: #673440)
    - "interface detection partially broken"
      (Closes: #606119)

 -- gregor herrmann <gregoa@debian.org>  Tue, 22 May 2012 19:47:47 +0200

iodine (0.6.0~rc1-10) unstable; urgency=low

  [ Luca Capello ]
  * debian/iodine.iodined.init:
    + add $named to LSB's Required-Start, DNS resolution is needed for
      the topdomain argument.

  [ gregor herrmann ]
  * Add patch 0001-man-iodine.8-add-note-about-sharing-port-dnsport.patch:
    adds a note to the manpage about sharing port/dnsport. Thanks to Luca
    Capello for the great analysis and the patch. (Closes: #668621)

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Apr 2012 22:06:06 +0200

iodine (0.6.0~rc1-9) unstable; urgency=low

  * Make udev|makedev dependency Linux-only. Thanks to Robert Millan for
    the bugreport and the patch. (Closes: #666509)

 -- gregor herrmann <gregoa@debian.org>  Sat, 31 Mar 2012 21:40:44 +0200

iodine (0.6.0~rc1-8) unstable; urgency=low

  * Update Vcs-* headers.
  * Add Italian debconf translation. Thanks to Beatrice Torracca.
    (Closes: #666426)
  * Build-depend on debhelper >= 9.
  * debian/copyright: update to Copyright-Format 1.0.
  * Update years of packaging copyright.
  * Bump Standards-Version to 3.9.3 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Fri, 30 Mar 2012 20:41:23 +0200

iodine (0.6.0~rc1-7) unstable; urgency=low

  [ Peter Eisentraut ]
  * Add support for "status" action to init.d script
    Closes: #652671

 -- gregor herrmann <gregoa@debian.org>  Mon, 19 Dec 2011 19:56:22 +0100

iodine (0.6.0~rc1-6) unstable; urgency=low

  * New patch: cmdline-r-u.patch. Due to a missing "break", -r causes -u to
    have no effect (client). Thanks to Pavel Pergamenshchik for the bug report
    and the patch.
    LP: #880508
  * debian/{rules,control}: replace hardening-includes with the new
    dpkg-dev/debhelper approach. Update cflags.patch to honour CPPFLAGS.
  * Set Standards-Version to 3.9.2 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Sun, 23 Oct 2011 23:07:10 +0200

iodine (0.6.0~rc1-5) unstable; urgency=low

  * Don't source /etc/default/iodine in config script but read out the values
    with awk. This allows to use shell constructs like $() in the file and
    preserve them during re-configuration (closes: #612723).
    Thanks to "Debian bug at v.nix.is" for the bug report.
  * Add a logcheck filter; thanks to martin f krafft for the bug report and
    the logcheck file (closes: #612721).
  * Add patch armel_ftbfs.patch: Rename struct user to struct _user in the
    code to avoid naming conflict caused by including <sys/user.h> as part of
    the armel build. Taken from Ubuntu; not needed currently in Debian but
    saves Ubuntu from carrying the patch and might be helpful later.

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 Feb 2011 14:49:06 +0100

iodine (0.6.0~rc1-4) unstable; urgency=low

  * Upload to unstable.

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 Feb 2011 18:38:57 +0100

iodine (0.6.0~rc1-3) experimental; urgency=low

  [ gregor herrmann ]
  * Build with hardening; thanks to Romain Francoise for the bug report and
    the patch (closes: #589054).
  * New patch uninitialized-inside_topdomain.patch: initialize
    inside_topdomain before using it; thanks to Samuel Thibault for the bug
    report and the patch (closes: #596740).
  * Set Standards-Version to 3.9.1 (no changes).
  * Add Danish debconf translation, thanks to Joe Dalton (closes: #602447).
  * Update iodine-client-start to version 1.0.3, commit 04c2dee
    (closes: #605703).
  * debian/copyright: update years of packaging copyright, update formatting.
  * Update to experimental because of the freeze.

  [ tony mancill ]
  * Update reference to README file in README.Debian (closes: #597736)

 -- gregor herrmann <gregoa@debian.org>  Fri, 14 Jan 2011 03:01:13 +0100

iodine (0.6.0~rc1-2) unstable; urgency=low

  [ tony mancill ]
  * Update init.d script to support spaces in password (closes: #597258)

 -- gregor herrmann <gregoa@debian.org>  Mon, 20 Sep 2010 22:25:48 +0200

iodine (0.6.0~rc1-1) unstable; urgency=low

  * debian/watch: relax regexp to also catch release candidates.

  * New upstream release:
    - return nonzero if tunnel fails to open (closes: #534186)
    - added support for CNAME/TXT/A/MX query types (closes: #587894)
    - includes the changes we had backported in openlog.patch, so remove the
      patch now
  * This version introduces a new and incompatible protocol version
    (00000502); adjust debia/README.Debian and add debian/NEWS.
  * Add new patch manpage.patch (*roff problems). Refresh remaining patches.
    Improve patch headers (DEP3).
  * Set Standards-Version to 3.9.0 (no changes).
  * debian/copyright: point to /usr/share/common-licenses/GPL-1 now that the
    GNU GPLv1 is included in base-files.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 Jul 2010 18:04:23 +0200

iodine (0.5.2-7) unstable; urgency=low

  * Add Spanish debconf translation, thanks to Francisco Javier Cuadrado
    (closes: #582872).

 -- gregor herrmann <gregoa@debian.org>  Mon, 24 May 2010 18:42:06 +0200

iodine (0.5.2-6) unstable; urgency=low

  * Add $syslog facility to init script.
  * Convert to source format 3.0 (quilt). Remove quilt framework.
  * Update iodine-client-start (02eb805).

 -- gregor herrmann <gregoa@debian.org>  Sun, 23 May 2010 22:34:12 +0200

iodine (0.5.2-5) unstable; urgency=low

  * Update iodine-client-start (01b8c6f).
  * New patch openlog.patch: move openlog() call before chrooting; thanks to
    Romain Francoise for the patch (closes: #573194).
  * README.Debian: mention /usr/sbin/iodine-client-start now that it's not in
    examples/ anymore.

 -- gregor herrmann <gregoa@debian.org>  Wed, 10 Mar 2010 18:47:52 +0100

iodine (0.5.2-4) unstable; urgency=low

  * Include updated iodine-client-start script and install it into /usr/sbin.
    Adjust some files and create manpage with help2man.

 -- gregor herrmann <gregoa@debian.org>  Wed, 10 Feb 2010 22:03:12 +0100

iodine (0.5.2-3) unstable; urgency=low

  * Add Japanese debconf translation, thanks to Hideki Yamane
    (closes: #558051).
  * The example script iodine-jigger is now called iodine-client-start; update
    the name in the relevant locations and integrate a newer version.
  * debian/copyright: update formatting.
  * Set Standards-Version to 3.8.4 (no changes).
  * New patch spelling.patch: fix a minor spelling mistake in the manpage.
  * Adjust handling of /etc/default/iodine in init script.

 -- gregor herrmann <gregoa@debian.org>  Mon, 08 Feb 2010 21:30:54 +0100

iodine (0.5.2-2) unstable; urgency=low

  * Add Russian debconf translation, thanks to Yuri Kozlov (closes: #546345).
  * Set Standards-Version to 3.8.3 (no changes).
  * Update debian/rules, bump build dependencies in debian/control
    accordingly.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2009 01:05:31 +0200

iodine (0.5.2-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Tue, 02 Jun 2009 18:03:31 +0200

iodine (0.5.1-2) unstable; urgency=low

  * (Re-)add a warning to README.Debian that both client and server needs to
    run the same protocol version (cf. #521260).
  * Create /var/run/iodine in init script if it doesn't exist; thanks to
    martin f krafft for the bug report (closes: #521259).

 -- gregor herrmann <gregoa@debian.org>  Thu, 26 Mar 2009 17:45:24 +0100

iodine (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh 03_cflags.patch.
  * Set Standards-Version to 3.8.1 (no changes).
  * debian/copyright: add an additional copyright holder.

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Mar 2009 20:23:26 +0100

iodine (0.5.0-3) unstable; urgency=low

  * Improvements in init script, main point: be less verbose when iodined is
    configured not to start; thanks to Yves-Alexis Perez for the bug report
    (closes: #514693).
  * Upload to unstable.

 -- gregor herrmann <gregoa@debian.org>  Sun, 15 Feb 2009 02:19:15 +0100

iodine (0.5.0-2) experimental; urgency=low

  * Update example script iodine-jigger; thanks to Stephan Walter for the bug
    report and to Barak A. Pearlmutter for the updated version; add gawk to
    Suggests (closes: #513221).

 -- gregor herrmann <gregoa@debian.org>  Thu, 29 Jan 2009 22:03:44 +0100

iodine (0.5.0-1) experimental; urgency=low

  * New upstream release.
  * debian/copyright: update years of upstream copyright.
  * Install the new protocol descriptions under doc/*.
  * Refresh patch 03_cflags.patch; drop patch 04_base64.patch, the base64
    stuff is used now.
  * Upload to experimenatal since (1) we are in the pre-lenny freeze and
    (2) we had problems with the base64 components on hppa.

 -- gregor herrmann <gregoa@debian.org>  Sun, 25 Jan 2009 01:31:09 +0100

iodine (0.4.2-3) unstable; urgency=low

  * Add Swedish debconf translation, thanks to Martin Bagge (closes: #504247).
  * Fix "Init script starts iodined even if it is already running" by
    removing the "--pidfile" option from the start-stop-daemon calls;
    doesn't work for a forking process. Thanks to Michael Goetze for
    the bug report (closes: #511887).
  * Set debhelper compatibility level to 7; adapt debian/{control,compat,rules}
    and add debian/iodine.{docs,examples,links}.
  * debian/copyright: update formatting and years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Thu, 15 Jan 2009 23:27:07 +0100

iodine (0.4.2-2) unstable; urgency=low

  * debian/postinst: only try to create /dev/net/tun if it doesn't exist and
    if /dev/MAKEDEV is available; thanks to Lucas Nussbaum for the bug report
    and to Lucas, Adeodato Simó, Matthew Johnson, and Alexander Wirt for their
    help (closes: #502823).

 -- gregor herrmann <gregoa@debian.org>  Wed, 22 Oct 2008 23:35:25 +0200

iodine (0.4.2-1) unstable; urgency=low

  * New upstream release:
    - new command line switch "-s" to skip configration of the tun interface
      (closes: #477692)
    - drop patches 01_mandir.patch and 02_make.patch, included upstream
    - refresh patches 03_cflags.patch and 04_base64.patch
  * debian/rules: separate DESTDIR and prefix on make install.
  * Add the packages needed by the example script to Suggests: and don't
    compress the example script any more.

 -- gregor herrmann <gregoa@debian.org>  Fri, 08 Aug 2008 16:33:26 -0300

iodine (0.4.1-4) unstable; urgency=low

  * Add Czech debconf translation, thanks to Daniel Kavan
    (closes: #483299).
  * Add note for translators to debconf template and change back localized
    versions of ".example" to the original as mandated by RFC 2606.
  * Convert de.po from ISO-8859-1 to UTF-8.
  * debian/control: change my email address.
  * Switch patch system from dpatch to quilt.
  * Add example script iodine-jigger (script to set up an iodine tunnel and
    route traffic through it) by Barak A. Pearlmutter (closes: #491294).
    Thanks, Barak! Add copyright/license information about the script to
    debian/copyright. Mention the example script in README.Debian.
  * debian/copyright: wrap a long line, update years of packing copyright and
    my email address.
  * Set Standards-Version to 3.8.0; add debian/README.source to document
    quilt usage.

 -- gregor herrmann <gregoa@debian.org>  Thu, 24 Jul 2008 18:35:59 +0200

iodine (0.4.1-3) unstable; urgency=low

  * Fix LSB header in init.d script, thanks to Petter Reinholdtsen for the
    report and the patch (closes: #468653).
  * Set debhelper compatibility level to 6.
  * New patch 04_base64: don't build/test {src,tests}/base64* anymore, causes
    a FBTFS on hppa, and isn't actually used anyway (closes: #468404).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat, 01 Mar 2008 19:01:22 +0100

iodine (0.4.1-2) unstable; urgency=low

  * Set Standards-Version to 3.7.3 (no changes required).
  * Create install-stamp target in debian/rules and adjust target
    dependencies.
  * Change debian/copyright to the new machine-readable format.
  * Add patch 03_cflags.dpatch: use CFLAGS from debian/rules in upstream
    Makefiles.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Tue, 05 Feb 2008 17:31:25 +0100

iodine (0.4.1-1) unstable; urgency=low

  * New upstream release:
    - hides password from ps and stdin (closes: #432719).
    - uses /etc/resolv.conf (closes: #432867).
    - incorporates patch to daemonize before chrooting and dropping
      privileges, therefore dropping 02_detach.dpatch.
    - uses $(MAKE) in Makefile, except in one case, therefore adding patch
      02_make.dpatch.
    - fixes the install dir for the manpage, therefore adapting patch
      01_mandir.dpatch.
  * debian/copyright: update years of copyright.
  * debian/rules: use $(DPATCH_STAMPFN) and $@.
  * Mention (improved) manpage in README.Debian.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat, 01 Dec 2007 02:30:51 +0100

iodine (0.4.0-5) unstable; urgency=low

  * Apply patch for "init script fails to restart", thanks to Horst
    Schirmeier (closes: #453001).
  * debian/rules: make configure-stamp depend on patch.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Mon, 26 Nov 2007 20:36:41 +0100

iodine (0.4.0-4) unstable; urgency=low

  * Add French debconf translation, thanks to Christian Perrier
    (closes: #434323).
  * Add Dutch debconf translation, thanks to Bart Cornelis
    (closes: #451396).
  * Clean up debian/rules.
  * Don't install TODO anymore, and remove debian/docs.
  * Move upstream URL from the description to the new Homepage field.
  * Change XS-Vcs-* fields to Vcs-*.
  * Add patch to daemonize before chrooting and dropping privileges, thanks
    to Matthew William Solloway Bell (closes: #450759).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Fri, 16 Nov 2007 12:48:50 +0100

iodine (0.4.0-3) unstable; urgency=low

  * Add Portuguese translation for debconf messages, thanks to Américo
    Monteiro and Miguel Figueiredo (closes: #433041).
  * Add German debconf translation, thanks to Helge Kreutzmann
    (closes: #433296).
  * Fix typo in debconf template, thanks to Helge Kreutzmann
    (closes: #433297).
  * Add debconf-updatepo to debian/rule's clean target.
  * Convert debian/changelog to UTF-8.
  * Fix usage of MAKEDEV, thanks to Marco d'Itri (closes: #434160).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun, 22 Jul 2007 16:27:51 +0200

iodine (0.4.0-2) unstable; urgency=low

  * Change mode of /etc/default/iodine to 600, thanks to Lennart Poettering
    (cf. #432719).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Wed, 11 Jul 2007 18:10:12 +0200

iodine (0.4.0-1) unstable; urgency=low

  * Initial upload to the Debian archive (closes: #430206).
  * New upstream release.
  * Fix debian/watch.
  * Don't create manpages anymore, now included in upstream tarball.
  * Change debian/rules; upstream Makefile now includes install and test
    targets.
  * Move makedev from Build-Depends to Depends.
  * Add password option to debconf questions and /etc/default/iodine.
  * Change order in postinst.
  * Add user iodine and run iodined in a chroot as this user.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat, 23 Jun 2007 14:49:46 +0200

iodine (0.3.4-1) unstable; urgency=low

  * Initial release.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Fri, 26 Jan 2007 14:03:30 +0100
